Module java.desktop
Package javax.swing.text

## Class DefaultEditorKit.InsertBreakAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.text.TextAction
    - - javax.swing.text.DefaultEditorKit.InsertBreakAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  DefaultEditorKit

    public static class DefaultEditorKit.InsertBreakAction
    extends TextAction

Places a line/paragraph break into the document. If there is a selection, it is removed before the break is added.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `DefaultEditorKit.insertBreakAction`, `DefaultEditorKit.getActions()`, Serialized Form

### Field Summary

### Fields declared in class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields declared in interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
`InsertBreakAction()` Creates this object with the appropriate identifier.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed​(ActionEvent e)` The operation to perform when this action is triggered.

### Methods declared in class javax.swing.text.TextAction

`augmentList, getFocusedComponent, getTextComponent`

### Methods declared in class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods declared in class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.Action

`accept`

### Constructor Detail

#### InsertBreakAction

    public InsertBreakAction()

Creates this object with the appropriate identifier.

### Method Detail

#### actionPerformed

    public void actionPerformed​(ActionEvent e)

The operation to perform when this action is triggered.

Parameters:
  `e` - the action event